package fi.jumi.core.events.commandListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.queue.MessageSender;
import fi.jumi.core.CommandListener;
import fi.jumi.core.SuiteListener;
import fi.jumi.core.config.SuiteConfiguration;

public class CommandListenerToEvent implements CommandListener {

    private final MessageSender<Event<CommandListener>> sender;

    public CommandListenerToEvent(MessageSender<Event<CommandListener>> sender) {
        this.sender = sender;
    }

    public void addSuiteListener(SuiteListener arg0) {
        sender.send(new AddSuiteListenerEvent(arg0));
    }

    public void runTests(SuiteConfiguration arg0) {
        sender.send(new RunTestsEvent(arg0));
    }

    public void shutdown() {
        sender.send(new ShutdownEvent());
    }
}
