package fi.jumi.core.events.executor;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import java.io.Serializable;
import java.util.concurrent.Executor;

public class ExecuteEvent implements Event<Executor>, Serializable {

    private final Runnable arg0;

    public ExecuteEvent(Runnable arg0) {
        this.arg0 = arg0;
    }

    public void fireOn(Executor target) {
        target.execute(arg0);
    }

    public String toString() {
        return EventToString.format("Executor", "execute", arg0);
    }
}
