package fi.jumi.core.events.suiteListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.queue.MessageSender;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.SuiteListener;
import fi.jumi.core.runs.RunId;

public class SuiteListenerToEvent implements SuiteListener {

    private final MessageSender<Event<SuiteListener>> sender;

    public SuiteListenerToEvent(MessageSender<Event<SuiteListener>> sender) {
        this.sender = sender;
    }

    public void onFailure(RunId arg0, Throwable arg1) {
        sender.send(new OnFailureEvent(arg0, arg1));
    }

    public void onPrintedErr(RunId arg0, String arg1) {
        sender.send(new OnPrintedErrEvent(arg0, arg1));
    }

    public void onPrintedOut(RunId arg0, String arg1) {
        sender.send(new OnPrintedOutEvent(arg0, arg1));
    }

    public void onRunFinished(RunId arg0) {
        sender.send(new OnRunFinishedEvent(arg0));
    }

    public void onRunStarted(RunId arg0, String arg1) {
        sender.send(new OnRunStartedEvent(arg0, arg1));
    }

    public void onSuiteFinished() {
        sender.send(new OnSuiteFinishedEvent());
    }

    public void onSuiteStarted() {
        sender.send(new OnSuiteStartedEvent());
    }

    public void onTestFinished(RunId arg0) {
        sender.send(new OnTestFinishedEvent(arg0));
    }

    public void onTestFound(String arg0, TestId arg1, String arg2) {
        sender.send(new OnTestFoundEvent(arg0, arg1, arg2));
    }

    public void onTestStarted(RunId arg0, TestId arg1) {
        sender.send(new OnTestStartedEvent(arg0, arg1));
    }
}
