package fi.jumi.core.events.testClassListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.runners.TestClassListener;
import fi.jumi.core.runs.RunId;
import java.io.Serializable;

public class OnTestStartedEvent implements Event<TestClassListener>, Serializable {

    private final RunId arg0;
    private final TestId arg1;

    public OnTestStartedEvent(RunId arg0, TestId arg1) {
        this.arg0 = arg0;
        this.arg1 = arg1;
    }

    public void fireOn(TestClassListener target) {
        target.onTestStarted(arg0, arg1);
    }

    public String toString() {
        return EventToString.format("TestClassListener", "onTestStarted", arg0, arg1);
    }
}
